summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-04-21 19:11:10 +0000
committer Eric Hameleers <alien@slackware.com>2022-04-22 06:59:46 +0200
commitaba57b8fb048fb6eac847e18978b0b8fd5729721 (patch)
tree625c8636efe0249edd5cec5d50b60a4e6836f077 /source/l
parent615523f1128f2b40168434af4e8e00e95136fa71 (diff)
downloadcurrent-aba57b8fb048fb6eac847e18978b0b8fd5729721.tar.gz
current-aba57b8fb048fb6eac847e18978b0b8fd5729721.tar.xz
Thu Apr 21 19:11:10 UTC 202220220421191110
a/kernel-firmware-20220419_ee43979-noarch-1.txz: Upgraded. a/kernel-generic-5.17.4-x86_64-1.txz: Upgraded. a/kernel-huge-5.17.4-x86_64-1.txz: Upgraded. a/kernel-modules-5.17.4-x86_64-1.txz: Upgraded. a/mcelog-181-x86_64-1.txz: Upgraded. a/pciutils-3.8.0-x86_64-1.txz: Upgraded. d/git-2.36.0-x86_64-1.txz: Upgraded. d/kernel-headers-5.17.4-x86-1.txz: Upgraded. k/kernel-source-5.17.4-noarch-1.txz: Upgraded. l/fribidi-1.0.12-x86_64-1.txz: Upgraded. l/parted-3.5-x86_64-1.txz: Upgraded. l/pipewire-0.3.50-x86_64-2.txz: Rebuilt. Build in FFmpeg and Vulkan support. Thanks to Klaatu. n/bind-9.18.2-x86_64-1.txz: Upgraded. n/postfix-3.7.1-x86_64-1.txz: Upgraded. x/libinput-1.20.1-x86_64-1.txz: Upgraded. xap/mozilla-thunderbird-91.8.1-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/91.8.1/releasenotes/ isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/fribidi/fribidi.SlackBuild6
-rwxr-xr-xsource/l/parted/parted.SlackBuild2
-rwxr-xr-xsource/l/pipewire/pipewire.SlackBuild4
3 files changed, 7 insertions, 5 deletions
diff --git a/source/l/fribidi/fribidi.SlackBuild b/source/l/fribidi/fribidi.SlackBuild
index 51a9347fc..d479693df 100755
--- a/source/l/fribidi/fribidi.SlackBuild
+++ b/source/l/fribidi/fribidi.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2018, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fribidi
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -67,7 +67,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf fribidi-$VERSION
-tar xvf $CWD/fribidi-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/fribidi-$VERSION.tar.?z || exit 1
cd fribidi-$VERSION || exit 1
find . -perm 777 -exec chmod 755 {} \+
diff --git a/source/l/parted/parted.SlackBuild b/source/l/parted/parted.SlackBuild
index 8b269a231..a10f29380 100755
--- a/source/l/parted/parted.SlackBuild
+++ b/source/l/parted/parted.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=parted
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/pipewire/pipewire.SlackBuild b/source/l/pipewire/pipewire.SlackBuild
index 7225da964..5ace2cd5d 100755
--- a/source/l/pipewire/pipewire.SlackBuild
+++ b/source/l/pipewire/pipewire.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pipewire
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -103,6 +103,8 @@ meson setup \
--sysconfdir=/etc \
--localstatedir=/var \
--buildtype=release \
+ -Dffmpeg=enabled \
+ -Dvulkan=enabled \
-Djack=disabled \
-Dpipewire-jack=disabled \
.. || exit 1